{
  pkgs,
  lib,
  ...
}: {
  nixpkgs.config = {
    allowUnfree = false;

    allowUnfreePredicate = pkg:
      builtins.elem (lib.getName pkg) [
        "vscode"
        "vscode-extension-MS-python-vscode-pylance"
        "vscode-extension-github-copilot"
        "osu-lazer"
      ];
  };

  home.packages = with pkgs; [
    # Basic utils
    unzip
    magic-wormhole

    # Important graphical applications
    keepassxc
    logseq
    xournalpp
    libreoffice

    # Games
    osu-lazer

    # Communication
    webcord
    telegram-desktop
    signal-desktop
    element-desktop

    # Creative software
    gimp
    davinci-resolve

    # Misc
    gnome-decoder
    tor-browser-bundle-bin

    hypnotix

    # VPN client for university
    (
      pkgs.writeScriptBin "univpn"
      ''
        read -p "Username: " username
        read -s -p "Password: " password

        # newline
        echo ""

        read -p "OTP: " otp

        sudo ${pkgs.gof5}/bin/gof5 --server "vpn.univie.ac.at" --username "$username@$otp" --password "$password"
      ''
    )
  ];
}
